//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "uTestCompoRef.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TEcranTestRefer *EcranTestRefer;
//---------------------------------------------------------------------------
__fastcall TEcranTestRefer::TEcranTestRefer(TComponent* Owner)
    : CForm(Owner)
{
    _NetAide_Logiciel = "Tax'Pro";
    _NetAide_Version  = "001";
}
//---------------------------------------------------------------------------
void __fastcall TEcranTestRefer::Fenetre1Click(TObject *Sender)
{
    try {
        TToutModifier * ToutModifier = NULL;
        ToutModifier = new TToutModifier((TComponent*)0);
        ToutModifier->ShowModal();
        if(ToutModifier) {delete ToutModifier; ToutModifier = NULL;}
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);
    }
}
//---------------------------------------------------------------------------
void __fastcall TEcranTestRefer::Fenetre2Click(TObject *Sender)
{
    try {
        TModifCForm * ModifCForm = NULL;
        ModifCForm = new TModifCForm((TComponent*)0);
        ModifCForm->ShowModal();
        if(ModifCForm) {delete ModifCForm; ModifCForm = NULL;}
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);
    }
}
//---------------------------------------------------------------------------
void __fastcall TEcranTestRefer::Fenetre3Click(TObject *Sender)
{
    try {
        TAucuneModif * AucuneModif = NULL;
        AucuneModif = new TAucuneModif((TComponent*)0);
        AucuneModif->ShowModal();
        if(AucuneModif) {delete AucuneModif; AucuneModif = NULL;}
    }catch( Exception &e ) {
        EIC_DISPLAY_EXCEPTION(e);
    }
}
//---------------------------------------------------------------------------
